/**
 * Metadata key for strong metadata on an AnonCreds credential.
 *
 * MUST be used with {@link AnonCredsCredentialMetadata}
 */
export declare const AnonCredsCredentialMetadataKey = "_anonCreds/anonCredsCredential";
/**
 * Metadata key for strong metadata on an AnonCreds credential request.
 *
 * MUST be used with {@link AnonCredsCredentialRequestMetadata}
 */
export declare const AnonCredsCredentialRequestMetadataKey = "_anonCreds/anonCredsCredentialRequest";
/**
 * Metadata for an AnonCreds credential that will be stored
 * in the credential record.
 *
 * MUST be used with {@link AnonCredsCredentialMetadataKey}
 */
export interface AnonCredsCredentialMetadata {
    schemaId?: string;
    credentialDefinitionId?: string;
    revocationRegistryId?: string;
    credentialRevocationId?: string;
}
